Bug 259274 - devel/nsync: Update to 1.24.0
Summary: devel/nsync: Update to 1.24.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/google/nsync/commi...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-19 14:57 UTC by Gian-Simon Purkert
Modified: 2021-11-11 12:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (amzo1337)


Attachments
Update to 1.24.0 (1.19 KB, patch)
2021-10-19 14:57 UTC, Gian-Simon Purkert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2021-10-19 14:57:30 UTC
Created attachment 228839 [details]
Update to 1.24.0

https://github.com/google/nsync/commits/v1.24.0
Comment 1 Fernando Apesteguía freebsd_committer 2021-11-10 06:27:50 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 2 Gian-Simon Purkert 2021-11-10 22:28:44 UTC
1.24.0: In nsync, avoid an ABSL depepdency for TSAN annotations.

@m3bm3b m3bm3b tagged this on Jun 26, 2020

The code used to use ABSL macros for TSAN annotations that suppress warnings.

This was a problem because:
- ABSL is changing the names of the macros(!), and the team seems intent on
  forcing clients to make the incompatible change, even if the users of those
  clients have not yet switched to a suifficiently recent version of ABSL.  And
  they are doing this despite their (apparently false) claim of a 5-year API
  stability guarantee.
- The code had hard-wired a header file path that was wrong for most users,
  effectively preventing them from running with TSAN.
- The conditional compilation to detect TSAN worked only for clang, and not for
  gcc, even though gcc supports TSAN.

This change drops the ABSL dependency so there's no header file to include;
it uses conditional compilation that detects TSAN on moth gcc and clang; and
it uses the gcc/clang annotation routines directly.

The version number is also increased.

https://github.com/google/nsync/releases/tag/1.24.0
Comment 3 commit-hook freebsd_committer 2021-11-11 12:08:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c3640a17bdf93772bf9dad37abb626c803dbc5b9

commit c3640a17bdf93772bf9dad37abb626c803dbc5b9
Author:     Gian-Simon Purkert <gspurki@gmail.com>
AuthorDate: 2021-11-10 06:27:17 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-11-11 12:06:19 +0000

    devel/nsync: Update to 1.24.0

    ChangeLog: https://github.com/google/nsync/commits/v1.24.0

    PR:     259274
    Reported by:    gspurki@gmail.com
    Approved by:    amzo1337@gmail.com (maintainer, timeout > 3 weeks)

 devel/nsync/Makefile  | 2 +-
 devel/nsync/distinfo  | 6 +++---
 devel/nsync/pkg-plist | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)
Comment 4 Fernando Apesteguía freebsd_committer 2021-11-11 12:10:11 UTC
Committed,

Thanks!